<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Kampanyalar extends MY_Controller {

    public function __construct()
    {
        parent::__construct();
        $this->load->model('ekstrasayfalar_model');
        $this->load->helper('text_helper');
    }

    public function index()
    {
        $viewData = new stdClass(); 
        
        $duyurular = $this->ekstrasayfalar_model->get_all
        (
            array
            (
               "icerikkodu" => "kampanyalar",
               "isActive"   => 1
            )
        );
       
        $viewData->duyurular     = $duyurular;
        $viewData->urunler_footer = $this->urunler_footer;
        $viewData->sayfa        = "anasayfa";
        $viewData->folder_name  = "ekstrasayfalar_v";
        $viewData->img_tur_name = "kampanyalar";
        $viewData->nerdengeliyorum = "";
        $viewData->kur= $this->kurlar;

        $this->load->view('kampanyalar', $viewData);
    }





    public function kampanyalardetay($urunid,$urunadi)
    {
        $viewData = new StdClass();

        $this->load->model('ekstrasayfalar_model');

        $duyurular = $this->ekstrasayfalar_model->get
        (
            array
            (
               "id" => $urunid,
               "isActive"   => 1
            ), "rank ASC"
        );

        $duyurular_sag = $this->ekstrasayfalar_model->get_all
        (
            array
            (
               "icerikkodu" => "kampanyalar",
               "isActive"   => 1
            ), "rank ASC"
        );

         $this->load->model('imageupload_model');
        $itemsSlider = $this->imageupload_model->get_all
        (
            array
            (
               "kind"       => "kampanyalar",
               "urunid"     => $urunid,
               "isActive"   => 1
            ), "rank ASC"
        );


      
        $viewData->urunler_footer = $this->urunler_footer;
        $viewData->duyurular     = $duyurular;
        $viewData->ayar_detay   = $duyurular;
        $viewData->dgorsel      = $itemsSlider;
        $viewData->solMenu      = $duyurular_sag;
        $viewData->galeri       = $itemsSlider;
        $viewData->sayfa        = "urun_detay";
        $viewData->folder_name  = "ekstrasayfalar_v";
        $viewData->img_tur_name = "kampanyalar";
        $viewData->nerdengeliyorum = "";
        $viewData->kur= $this->kurlar;

        $this->load->view('kampanyalardetay', $viewData);  
    }
}
